Overview Features Download Purchase Requirements Support

iBackup Extractor Requirements

Windows Requirements

  • Microsoft Windows Vista, Windows 7, Windows 8/8.1 or Windows 10.
  • 32-Bit and 64-Bit versions of Windows are supported.
  • Microsoft .Net Framework. The iBackup Extractor installer will detect if you do not have this installed and offer to install it for you.

Macintosh Requirements

  • Mac OSX 10.8 or higher (Lion or higher).
  • Intel based Macs only.

iOS Device Requirements

iBackup Extractor will be able to work with all backups made with any iOS device (e.g. iPhone, iPod Touch or iPad) running iOS 4.2 or higher.